# openforcefield.typing.engines.smirnoff.io.ParameterIOHandler

class `openforcefield.typing.engines.smirnoff.io.``ParameterIOHandler`

  Base class for handling serialization/deserialization of SMIRNOFF ForceField objects

  Methods

  `parse_file`(filename)

  Parameters

  `parse_string`(data) | Parse a SMIRNOFF force field definition in a seriaized format
  `to_file`(filename, smirnoff_data) | Write the current forcefield parameter set to a file.
  `to_string`(smirnoff_data) | Render the forcefield parameter set to a string

  `__init__`()

    Create a new ParameterIOHandler.

  Methods

  `__init__`() | Create a new ParameterIOHandler.

  `parse_file`(filename)

  Parameters

  `parse_string`(data) | Parse a SMIRNOFF force field definition in a seriaized format
  `to_file`(filename, smirnoff_data) | Write the current forcefield parameter set to a file.
  `to_string`(smirnoff_data) | Render the forcefield parameter set to a string

  `parse_file`(filename)
    Parameters
      filename
  `parse_string`(data)

    Parse a SMIRNOFF force field definition in a seriaized format

    Parameters
      data
  `to_file`(filename, smirnoff_data)

    Write the current forcefield parameter set to a file.

    Parameters
      filename str

        The filename to write to.

      smirnoff_data dict

        A dictionary structured in compliance with the SMIRNOFF spec

  `to_string`(smirnoff_data)

    Render the forcefield parameter set to a string

    Parameters
      smirnoff_data dict

        A dictionary structured in compliance with the SMIRNOFF spec

    Returns
      str